# Get account delegations

Get paginated list of delegations made by an account.

```
GET /accounts/{public_key}/delegations
```

## Query params

None

## Sorting

| Property | Description          |
| -------- | -------------------- |
| `stake`  | Sort by stake amount |

Default sorting is `stake DESC`

## Optional properties

| Property                   | Type                                                                                                                                                          | Description                                                                                             |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `account_info`             | [AccountInfo](https://github.com/make-software/casper-middleware/blob/documentation/docs/public/rest-api/delegation/account-info.md)                          | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the delegator |
| `validator_account_info`   | [AccountInfo](https://github.com/make-software/casper-middleware/blob/documentation/docs/public/rest-api/delegation/account-info.md)                          | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the validator |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://github.com/make-software/casper-middleware/blob/documentation/docs/public/rest-api/delegation/centralized-account-info.md) | Account information available for known accounts provided by CSPR.cloud team                            |
| `bidder`                   | [`Bidder`](https://github.com/make-software/casper-middleware/blob/documentation/docs/public/rest-api/delegation/bidder.md)                                   | Bidder auction info of the validator                                                                    |
| `cspr_name`                | `string`                                                                                                                                                      | Primary CSPR.name of the account                                                                        |
| `validator_cspr_name`      | `string`                                                                                                                                                      | Primary CSPR.name of the validator account                                                              |

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/documentation/overview/pagination)[`<Delegation>`](https://docs.cspr.cloud/rest-api/delegation)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/accounts/018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02/delegations?limit=2&offset=0' \
  -H 'Accept: application/json' \
  -H 'Authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "item_count": 93,
  "page_count": 10,
  "data": [
    {
      "bonding_purse": "uref-0ac1ba0100574729337b63b11e1f933b91d1d0f220823bef502bd8957305976b-007",
      "delegator_identifier": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "delegator_identifier_type_id": 0,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "stake": "99588555735468641",
      "validator_public_key": "017d96b9a63abcb61c870a4f55187a0a7ac24096bdb5fc585c12a686a4d892009e"
    },
    {
      "bonding_purse": "uref-917e1aeba7e7d3a322e89069e88b6e0877a59d781840c0ce8223e990e0342d42-007",
      "delegator_identifier": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "delegator_identifier_type_id": 0,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "stake": "99348274926678796",
      "validator_public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca"
    },
    ...
    {
      "bonding_purse": "uref-2bd212c2b75dbc99a6ac8ea7d543b322967f39132ad7bc2c927cfed21d3fce4a-007",
      "delegator_identifier": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "delegator_identifier_type_id": 0,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "stake": "10118248961309619",
      "validator_public_key": "0107a9a673f54c231da8a9cf96e041701293e15c7f05dd5e7fddb2678ccb411555"
    }
  ]
}
```
